service: home
provider:
  name: aws
  runtime: nodejs12.x
  environment:
    DYNAMO_ACCESS_KEY: ${env:DYNAMO_ACCESS_KEY}
    DYNAMO_ENDPOINT: ${env:DYNAMO_ENDPOINT}
    DYNAMO_REGION: ${env:DYNAMO_REGION}
    DYNAMO_SECRET_KEY: ${env:DYNAMO_SECRET_KEY}
    KASA_USERNAME: ${env:KASA_USERNAME}
    KASA_PASSWORD: ${env:KASA_PASSWORD}
    LIGHTS_ON_INTENT: ${env:LIGHTS_ON_INTENT}
    LIGHTS_OFF_INTENT: ${env:LIGHTS_OFF_INTENT}
    SLEEP_INTENT: ${env:SLEEP_INTENT}
    SET_LIGHTS_INTENT: ${env:SET_LIGHTS_INTENT}
    MORNING_INTENT: ${env:MORNING_INTENT}

plugins:
  - serverless-dotenv-plugin
  - serverless-offline

functions:
  intent-handler:
    handler: dist/serverless/index.handleIntent
    events:
      - http:
          path: intent
          method: POST
          cors:
            origin: '*'
